RemoteLookupFailureException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.remoting

## Class RemoteLookupFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.remoting.RemoteAccessException
          - - org.springframework.remoting.RemoteLookupFailureException

- All Implemented Interfaces:
    Serializable

      public class RemoteLookupFailureException
      extends RemoteAccessException

  RemoteAccessException subclass to be thrown in case of a lookup failure, typically if the lookup happens on demand for each method invocation.
  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteLookupFailureException(String msg)` Constructor for RemoteLookupFailureException.
    `RemoteLookupFailureException(String msg, Throwable cause)` Constructor for RemoteLookupFailureException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteLookupFailureException

          public RemoteLookupFailureException(String msg)

      Constructor for RemoteLookupFailureException.
      Parameters:
        `msg` - the detail message

    - #### RemoteLookupFailureException

          public RemoteLookupFailureException(String msg,
                                      Throwable cause)

      Constructor for RemoteLookupFailureException.
      Parameters:
        `msg` - message
        `cause` - the root cause from the remoting API in use